---
title: "Get a pool account by ID"
description: "Returns full details for a single pool account by its external `poolAccountId`, scoped to the company in the `companyId` header. Includes account managers and the balance/top-up, low-balance alert, and spend-control configuration."
source: https://developers.qashio.com/v1/reference/get-pool-accounts-by-poolaccountid/
---

# Get a pool account by ID

`GET /pool-accounts/{poolAccountId}`

Requires a Bearer access token.

Returns full details for a single pool account by its external `poolAccountId`, scoped to the company in the `companyId` header. Includes account managers and the balance/top-up, low-balance alert, and spend-control configuration.

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `poolAccountId` | string | yes |  |

### Example request

```bash
curl -X GET 'https://erp.qashio.com/pool-accounts/ACcsifpt46hpqrh3' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer <access_token>'
```

### Example response (200)

```json
{
  "id": "ACcsifpt46hpqrh3",
  "accountName": "Test Pool Account",
  "status": "Active",
  "currency": "AED",
  "topupType": "manual",
  "allowedMaxBalance": 10000,
  "lowBalanceNotificationActive": false,
  "lowBalanceNotificationAmount": 500,
  "companyName": "Qashio, Inc.",
  "createdAt": "2025-07-17T02:25:03.995Z",
  "createdBy": {
    "userId": "UP95egoevjjmct7u",
    "name": "Zahid Automation"
  },
  "accountManagers": [
    {
      "userId": "UP95egoevjjmct7u",
      "name": "Zahid Automation",
      "email": "zahid@qashio.com"
    }
  ],
  "topupConfiguration": {
    "topupType": "manual",
    "topupSourceDetails": {
      "sourceId": "AC980077s7pa6n2j",
      "sourceType": "PoolAccount"
    },
    "autoTopupEnabled": false,
    "autoTopupThreshold": 100,
    "autoTopupAmount": 500,
    "frequency": "monthly"
  },
  "balanceAndTopupConfiguration": {
    "topupSource": "CompanyFundAccount",
    "autoTopupEnabled": false,
    "autoTopupThreshold": 100,
    "autoTopupAmount": 500
  },
  "lowBalanceAlertConfiguration": {
    "alertThresholdAmount": 500,
    "notificationRecipients": [
      {
        "userId": "UP95egoevjjmct7u",
        "name": "Zahid Automation",
        "email": "zahid@qashio.com"
      }
    ]
  },
  "spendControls": {
    "maxBalance": 10000,
    "currency": "AED",
    "limits": [
      {
        "name": "Daily limit",
        "limitType": "amount",
        "maxAmount": 1000,
        "minAmount": 0,
        "currency": "AED",
        "period": "DAILY",
        "channelScope": "POS,ECOMMERCE",
        "frequency": 1
      }
    ]
  }
}
```

### Errors

- `400` Bad Request
